> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar regra de automação

> Retorna os detalhes de uma regra de automação.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /automation-rules/{id}
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /automation-rules/{id}:
    get:
      tags:
        - Automation Rules
      summary: Buscar regra de automação
      description: Retorna os detalhes de uma regra de automação.
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: ID da regra de automação.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  officeId:
                    type: string
                  integrationId:
                    type: string
                    nullable: true
                  name:
                    type: string
                  enabled:
                    type: boolean
                  triggerEvent:
                    type: string
                  conditions:
                    type: object
                    additionalProperties: {}
                    nullable: true
                  actions:
                    type: array
                    items:
                      type: object
                      properties:
                        action:
                          type: string
                        actionParams:
                          type: object
                          additionalProperties: {}
                      required:
                        - action
                        - actionParams
                      additionalProperties: false
                  elseActions:
                    type: array
                    items:
                      type: object
                      properties:
                        action:
                          type: string
                        actionParams:
                          type: object
                          additionalProperties: {}
                      required:
                        - action
                        - actionParams
                      additionalProperties: false
                    nullable: true
                  priority:
                    type: number
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - officeId
                  - integrationId
                  - name
                  - enabled
                  - triggerEvent
                  - conditions
                  - actions
                  - elseActions
                  - priority
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````